#ifndef MODEL_H
#define MODEL_H

/*
 *  model.h
 *  iminib3d
 *
 *  Created by Simon Harrison.
 *  Copyright Si Design. All rights reserved.
 *
 */


#include "entity.h"
#include "mesh.h"
#include "file.h"

#include <iostream>
#include <string>
using namespace std;

Mesh* LoadAnimB3D(string f_name, Entity* parent_ent_ext=NULL);

string b3dReadString(File* file);
string ReadTag(File* file);
int NewTag(string tag);
int TagID(string tag);
void TrimVerts(Surface* surf);


#endif
