/*
 *  maths_helper.mm
 *  iminib3d
 *
 *  Created by Simon Harrison.
 *  Copyright Si Design. All rights reserved.
 *
 */

#include "maths_helper.h"
// !!! changed from double to float math
float cosdeg(float deg) {
	return cosf(deg2rad(deg));
}

float sindeg(float deg) {
	return sinf(deg2rad(deg));
}

float tandeg(float deg) {
	return tanf(deg2rad(deg));
}

float acosdeg(float rad) {
	return rad2deg(acosf(rad));
}

float asindeg(float rad) {
	return rad2deg(asinf(rad));
}

float atandeg(float rad) {
	return rad2deg(atanf(rad));
}

float atan2deg(float x,float y) {
	return rad2deg(atan2(x,y));
}
