#ifndef PIVOT_H
#define PIVOT_H

/*
 *  pivot.h
 *  iminib3d
 *
 *  Created by Simon Harrison.
 *  Copyright Si Design. All rights reserved.
 *
 */

#include "entity.h"

#include <vector>
#include <cmath>
using namespace std;

class Pivot : public Entity{
  public:
	Pivot(){};

	Pivot* CopyEntity(Entity* parent_ent=NULL);
	static Pivot* CreatePivot(Entity* parent_ent=NULL);
	void FreeEntity(void);
	void Update();
	// !!! added
	void SetUserdata(void* ud);
  void* GetUserdata(void);
  protected:
  void* userdata;
};

#endif
